Bug 89343 - ~SwXMailMerge() goes into endless SwCache::Check()
Summary: ~SwXMailMerge() goes into endless SwCache::Check()
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.5.0.0.alpha0+ Master
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Mail-Merge
  Show dependency treegraph
 
Reported: 2015-02-12 15:34 UTC by Stephan Bergmann
Modified: 2018-04-12 02:35 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Stephan Bergmann 2015-02-12 15:34:00 UTC
When including the SwXMailMerge service implementation in the updated CppunitTest_services (cf. <http://cgit.freedesktop.org/libreoffice/core/commit/?id=f7cd7b2ce40d39fd890d7bd3d098c9001fb477e5> "Make CppunitTest_services instantiate even more services"), just creating the instance, then calling dispose() on it, then finally releasing it leads to a busy loop in SwCache::Check() at least in an --enable-dgbutil build, constantly warning about "Object not found" and "Recursion in SwCache."  See backtrace below.

Once this is fixed, please take SwXMailMerge off the blacklist in postprocess/qa/services.cxx.

> SwCache::Check()
> SwCache::Insert(SwCacheObj*)
> SwCacheAccess::_Get()
> SwCacheAccess::Get()
> SwBorderAttrAccess::Get()
> SwCntntFrm::MakeAll()
> SwFrm::PrepareMake()
> SwFrm::Calc()
> SwLayAction::IsShortCut(SwPageFrm*&)
> SwLayAction::InternalAction()
> SwLayAction::Action()
> SwViewShell::ImplEndAction(bool)
> SwViewShell::EndAction(bool)
> SwCrsrShell::EndAction(bool, bool)
> SwEditShell::EndAllAction()
> SwDocShell::Notify(SfxBroadcaster&, SfxHint const&)
> SfxBroadcaster::Broadcast(SfxHint const&)
> SfxFrame::CancelTransfers(bool)
> SfxFrame::DoClose()
> SfxViewFrame::Notify(SfxBroadcaster&, SfxHint const&)
> SfxBroadcaster::Broadcast(SfxHint const&)
> SfxModelListener_Impl::notifyClosing(com::sun::star::lang::EventObject const&)
> SfxBaseModel::close(unsigned char)
> SwXTextDocument::close(unsigned char)
> CloseModelAndDocSh(com::sun::star::uno::Reference<com::sun::star::frame::XModel>&, tools::SvRef<SfxObjectShell>&)
> SwXMailMerge::~SwXMailMerge()
> SwXMailMerge::~SwXMailMerge()
> cppu::OWeakObject::release()
> ...
Comment 1 QA Administrators 2016-02-21 08:35:20 UTC Comment hidden (obsolete)
Comment 2 Caolán McNamara 2017-04-11 20:03:36 UTC
I think com.sun.star.comp.framework.Desktop has been disposed before the SwXMailMerge dtor was called, so the underlying SwDLL contents have been trashed
Comment 3 QA Administrators 2018-04-12 02:35:20 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug